
define service {
        host_name                       cluster
        service_description             Kubernetes Health
        check_command                   check_kubernetes_intra
        use                             generic-service
}
define service {
        host_name                       cluster
        service_description             Kubernetes Pods
        check_command                   check_pods_intra
        use                             generic-service
}

define service {
        host_name                       cluster
        service_description             Ceph Health
        check_command                   check_ceph
        use                             generic-service
}

define service {
        host_name                       cluster
        service_description             Rook PVC Health
        check_command                   check_rook
        use                             generic-service
}

define service {
        host_name                       cluster
        service_description             Echo server redirect to tls
        check_command                   check_http_redirect!echo-server.{{ .Values.cluster_domain }}
        use                             generic-service
}

define service {
        host_name                       cluster
        service_description             Echo server https
        check_command                   check_https_contains!echo-server.{{ .Values.cluster_domain }}!no body in request
        use                             generic-service
}
